summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Yalla-One <yallaone@gmail.com>2010-05-11 15:18:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:47 +0200
commit189a6d77200b5c9aa986d7c6faec161702107442 (patch)
tree2d4591e38c9932a1b8ca43a7c38232ee5fc513a5
parentcf5c23dc7407af9a649248549935726fda435cff (diff)
downloadslackbuilds-189a6d77200b5c9aa986d7c6faec161702107442.tar.gz
slackbuilds-189a6d77200b5c9aa986d7c6faec161702107442.tar.xz
system/unrar: Initial import
-rw-r--r--system/unrar/README2
-rw-r--r--system/unrar/slack-desc19
-rw-r--r--system/unrar/unrar.1.gzbin0 -> 1005 bytes
-rw-r--r--system/unrar/unrar.SlackBuild85
-rw-r--r--system/unrar/unrar.info8
5 files changed, 114 insertions, 0 deletions
diff --git a/system/unrar/README b/system/unrar/README
new file mode 100644
index 0000000000..b830c04f4c
--- /dev/null
+++ b/system/unrar/README
@@ -0,0 +1,2 @@
+WinRAR is a powerful archive manager. Unrar is an opensource subset
+of RAR from rarlab that can uncompress RAR images.
diff --git a/system/unrar/slack-desc b/system/unrar/slack-desc
new file mode 100644
index 0000000000..744e6aee47
--- /dev/null
+++ b/system/unrar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unrar: unrar (unpacker for the RAR archive format)
+unrar:
+unrar: WinRAR is a powerful archive manager. Unrar is an opensource subset
+unrar: of RAR from rarlab that can uncompress RAR images.
+unrar:
+unrar: unrar home: http://www.rarlab.com/rar_add.htm
+unrar:
+unrar:
+unrar:
+unrar:
+unrar:
diff --git a/system/unrar/unrar.1.gz b/system/unrar/unrar.1.gz
new file mode 100644
index 0000000000..0de94e5f79
--- /dev/null
+++ b/system/unrar/unrar.1.gz
Binary files differ
diff --git a/system/unrar/unrar.SlackBuild b/system/unrar/unrar.SlackBuild
new file mode 100644
index 0000000000..f2489f4e62
--- /dev/null
+++ b/system/unrar/unrar.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for unrar
+
+# Copyright 2006 Halim Issa <yallaone@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Updated by Andrew Brouwers for Slackware 12 <abrouwers@gmail.com>
+
+PRGNAM=unrar
+VERSION=3.7.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="license.txt readme.txt"
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ ;;
+ i686) SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ ;;
+ s390) SLKCFLAGS="-O2"
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/${PRGNAM}src-$VERSION.tar.gz || exit 1
+mv $PRGNAM $PRGNAM-$VERSION || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+sed -i "s/-O2/$CFLAGS/" makefile.unix
+make -f makefile.unix || exit 1
+
+install -D -m 755 unrar $PKG/usr/bin/unrar || exit 1
+install -D -m 644 $CWD/unrar.1.gz $PKG/usr/man/man1/unrar.1.gz || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/unrar/unrar.info b/system/unrar/unrar.info
new file mode 100644
index 0000000000..7dbd9a12c2
--- /dev/null
+++ b/system/unrar/unrar.info
@@ -0,0 +1,8 @@
+PRGNAM="unrar"
+VERSION="3.7.6"
+HOMEPAGE="http://www.rarlab.com"
+DOWNLOAD="http://www.rarlab.com/rar/unrarsrc-3.7.6.tar.gz"
+MD5SUM="c6e1ae41bc140d47f4608c1ab5f01802"
+MAINTAINER="Yalla-One"
+EMAIL="yallaone@gmail.com"
+APPROVED="rworkman"